| Qore Programming Language - C/C++ Library 1.0.8

Public Member Functions | List of all members
QoreExternalStaticMember Class Reference

external wrapper base class for class static members More...

`#include <QoreReflection.h>`

Inheritance diagram for QoreExternalStaticMember:
[legend]
Collaboration diagram for QoreExternalStaticMember:
[legend]

## Public Member Functions
DLLEXPORT QoreValue | getValue () const
| returns the current value of the member; caller owns an reference returned
DLLEXPORT int | setValue (const QoreValue val, ExceptionSink *xsink) const
| sets the value of the member More...
Public Member Functions inherited from QoreExternalMemberVarBase
DLLEXPORT ClassAccess | getAccess () const
| returns the access info for the member
DLLEXPORT const char * | getAccessString () const
| returns a string for the access info for the member
Public Member Functions inherited from QoreExternalMemberBase
DLLEXPORT QoreValue | getDefaultValue (ExceptionSink *xsink) const
| evaluates the initialization expression for the member and returns the referenced value
DLLEXPORT const QoreExternalProgramLocation * | getSourceLocation () const
| returns the source location of the member's declaration
DLLEXPORT const QoreTypeInfo * | getTypeInfo () const
| returns the type info for the member

## Detailed Description

external wrapper base class for class static members

Since
  Qore 0.9

## Member Function Documentation

## ◆ setValue()

DLLEXPORT int QoreExternalStaticMember::setValue | ( | const QoreValue | val,
|  | ExceptionSink * | xsink
| ) |  | const

sets the value of the member

Parameters

  val | the value to set
  xsink | Qore-language exception info is stored here

Returns
  0 = no error, -1 Qore-language exception raised

The documentation for this class was generated from the following file:

- include/qore/QoreReflection.h